# Bachelor Thesis Tex-files


## Deployed PDF
[![pipeline status](https://acereca.ddns.net:11443/acereca/BaTh/badges/master/pipeline.svg)](https://acereca.ddns.net:11443/acereca/BaTh/commits/master)

[PDF](https://acereca.ddns.net:11443/acereca/BaTh/builds/artifacts/master/file/thesis.pdf?job=compile_pdf)

## Content
- I2C
    - v2
        - [x] Umbau
            - [x] **packed** union based data structures (removes the need for magic numbers
            - [ ] safe types inside `pi2cproto.h`
        - [ ] old
        - [x] ballast
        - [x] reused
            - remaining compatability to v1
        - [ ] new
            - [x] UUID readout
            - [x] r/w-ablility for both 1.8V potentiometers
    - [x] raw memory mapping
        - [x] why is `mon48v = 0x11`?
            - missing `__attribute__((packed))` declarations
        - [x] why are `digipoti` and `anapoti` only readable from `0x02` and 0x04` not partial?
            - same as above

- Calibration
    - [x] characterize adcbehaviour
        - [x] plot resulting fitted incline of $\Delta $V vs. num. of readcycles
        - [ ] write reasoning for using a given `sampleTicks` value
            - smallest gain error
            - smallest offset
            - hightst samplerate
    - [x] polynomials
        - [x] polynomials rw-able
    - [x] 10I calc
    - ADC vs. Keithley
        - [ ] 48V
            - redo after selection of `sampleTicks` value
        - [ ] 10V
        - [x] 1.8V
    - ADC vs. EL
        - [ ] 48I
        - [ ] 10I
        - [ ] 1.8I
    - Temp
        - [ ] accuracy
        - [ ] position in system
            - inside chip -> on underside of board, between frame and board
        - [ ] relevancy
            - peace of mind if readout correct and not too high (no experience)

- 1.8V Regulation
    - [ ] compare regulation concepts
        - there's overshoot: less oscillation is good, as long as we don't take forever to achieve those
        - [ ] stabilize
    - [ ] regulate the system (with missing information)
        - [ ] write / formulate approach and resulting formula / algorithm
